Subject: Re: [HELP] Loading Mingw32 built DLLs into an MSVC application (again)
From: [email-masked] (Anders Norlander)

19 Sep 1998 00:35:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Gilles Depeyrot <[email-masked]>
Cc: [email-masked]

Gilles Depeyrot wrote:
> 
> Hello everyone,
> 
> I've been trying on and off for several months to create a DLL
> using egcs and loading it into an MSVC 5.0 compiled application
> under Windows 95.
> 
> The problem I am encountering is that I succeed in building a
> relocatable DLL (at least I think it is) with egcs and have no
> problem loading it either with a small test program compiled
> either with egcs or with MSVC.
> 
> However, I have never succeeded in loading my sample DLL into
> my real life application. LoadLibrary returns NULL and GetLastError
> returns 0 !

What if you statically link the DLL with
your app?

/Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".